<?php

namespace App\ViewModels\AgendaEspecialidade\AgendaEspecialidadeDetailsAgenda;

use App\Utils\Entity;

class AgendaEspecialidadeDetailAgendaViewModel extends Entity {
	protected $id;
	protected $idUnidade;
	protected $idEspecialidade;
	protected $idStatus;
	protected $petId;
	protected $idProcedimento;
	protected $data;
	protected $horaInicio;
	protected $horaFinal;
	protected $idAgendaEspecialidade;
	protected $idRequisicaoProcedimento;
	protected $idPet;
	protected $idCliente;
	protected $petNome;
	protected $clienteNome;
	protected $procedimento;
	protected $telefone;
	protected $observacao;
	protected $encaixe;

	public static function builder(): AgendaEspecialidadeDetailAgendaViewModelBuilder {

		return new AgendaEspecialidadeDetailAgendaViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getEncaixe() {

		return $this->encaixe;

	}

	/**
	 *
	 * @param mixed $encaixe
	 */
	public function setEncaixe($encaixe): void {

		$this->encaixe = $encaixe;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->idUnidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdEspecialidade() {

		return $this->idEspecialidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdStatus() {

		return $this->idStatus;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getPetId() {

		return $this->petId;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdProcedimento() {

		return $this->idProcedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getData() {

		return $this->data;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraInicio() {

		return $this->horaInicio;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraFinal() {

		return $this->horaFinal;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdAgendaEspecialidade() {

		return $this->idAgendaEspecialidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdRequisicaoProcedimento() {

		return $this->idRequisicaoProcedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdPet() {

		return $this->idPet;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdCliente() {

		return $this->idCliente;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getPetNome() {

		return $this->petNome;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getClienteNome() {

		return $this->clienteNome;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getProcedimento() {

		return $this->procedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getTelefone() {

		return $this->telefone;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getObservacao() {

		return $this->observacao;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade) {

		$this->idUnidade = $idUnidade;

	}

	/**
	 *
	 * @param mixed $idStatus
	 */
	public function setIdStatus($idStatus) {

		$this->idStatus = $idStatus;

	}

	/**
	 *
	 * @param mixed $petId
	 */
	public function setPetId($petId) {

		$this->petId = $petId;

	}

	/**
	 *
	 * @param mixed $idEspecialidade
	 */
	public function setIdEspecialidade($idEspecialidade) {

		$this->idEspecialidade = $idEspecialidade;

	}

	/**
	 *
	 * @param mixed $data
	 */
	public function setData($data) {

		$this->data = $data;

	}

	/**
	 *
	 * @param mixed $horaInicio
	 */
	public function setHoraInicio($horaInicio) {

		$this->horaInicio = $horaInicio;

	}

	/**
	 *
	 * @param mixed $horaFinal
	 */
	public function setHoraFinal($horaFinal) {

		$this->horaFinal = $horaFinal;

	}

	/**
	 *
	 * @param mixed $idAgendaEspecialidade
	 */
	public function setIdAgendaEspecialidade($idAgendaEspecialidade) {

		$this->idAgendaEspecialidade = $idAgendaEspecialidade;

	}

	/**
	 *
	 * @param mixed $idRequisicaoProcedimento
	 */
	public function setIdRequisicaoProcedimento($idRequisicaoProcedimento) {

		$this->idRequisicaoProcedimento = $idRequisicaoProcedimento;

	}

	/**
	 *
	 * @param mixed $idPet
	 */
	public function setIdPet($idPet) {

		$this->idPet = $idPet;

	}

	/**
	 *
	 * @param mixed $idCliente
	 */
	public function setIdCliente($idCliente) {

		$this->idCliente = $idCliente;

	}

	/**
	 *
	 * @param mixed $petNome
	 */
	public function setPetNome($petNome) {

		$this->petNome = $petNome;

	}

	/**
	 *
	 * @param mixed $clienteNome
	 */
	public function setClienteNome($clienteNome) {

		$this->clienteNome = $clienteNome;

	}

	/**
	 *
	 * @param mixed $telefone
	 */
	public function setTelefone($telefone) {

		$this->telefone = $telefone;

	}

	/**
	 *
	 * @param mixed $observacao
	 */
	public function setObservacao($observacao) {

		$this->observacao = $observacao;

	}

}

